
#------------------------------------------------------------------------------
# Keszitette: Szintai Balazs, IV. eves meteorologus hallgato
#------------------------------------------------------------------------------

set -e
#
MAINDIR=/home/szintaib/gribex/
WORKDIR=${MAINDIR}/work
BINARYDATA_DIR=${MAINDIR}/binary
#
cd $WORKDIR
# A kulso parameter(input file nev) feldolgozas
#---------------------------------------------------

umask 077

if [ "$#" = 1 ]
then
    binfile=${BINARYDATA_DIR}/$1.bin

        if [ ! -f $binfile ]
	    then
	    echo "HIBA: nem letezik a megadott input binaris file" ${gribfile}
	           exit 1
       else
	        rm -f result.bin
	        ln -sf $binfile result.bin
	        ls -l $binfile
fi
else
    echo " HIBA: nincs input binaris file megadva "
        echo " .bin kiterjesztes nelkul kell a binaris file nevet megadnunk "
	    echo " binread.sh input_filenev "
	        exit 1
		fi

#
PATH=$PATH:.
export PATH
CURRENT_DIR=`pwd` ; export CURRENT_DIR

# a binaris adatfile-t olvaso program fortranban irt foprogramja

cat>binread.f<<EOF
      PROGRAM BINREAD
      
        integer NXMAX,NYMAX
      PARAMETER (NXMAX=9,NYMAX=9)
      real mezo(NXMAX*NYMAX)
      integer i

 	imax=NXMAX*NYMAX
      OPEN(99,file='result.bin',access='direct',form='unformatted',
     /     status='old',recl=4*NXMAX*NYMAX,iostat=ios)
        if(ios.ne.0) then
         write(*,*) ' hibas a result.bin file megnyitasa '
           write(*,*) ' iostat= ',ios
            stop ' hibas a result.bin file megnyitasa '
	endif
			

	read(99,rec=1,iostat=ios) (mezo(loop),loop=1,NXMAX*NYMAX)

	do i=1,imax
	
	write(*,*) i,mezo(i)
	enddo

	STOP

	END

EOF

rm -f binread.e
f77 -o binread.e -C binread.f


./binread.e

exit 0

